{
    attributes = (
        {
            columnName = "EXE_ORDRE"; 
            externalType = NUMBER; 
            name = exeOrdre; 
            valueClassName = NSNumber; 
            valueType = i; 
        }, 
        {
            columnName = "uf_ORDRE"; 
            externalType = NUMBER; 
            name = ufOrdre; 
            valueClassName = NSNumber; 
            valueType = i; 
        }, 
        {
            columnName = "ufe_id"; 
            externalType = NUMBER; 
            internalInfo = {"_nameInObjectStore" = "ufo_id"; }; 
            name = ufeId; 
            valueClassName = NSNumber; 
            valueType = i; 
        }
    ); 
    attributesUsedForLocking = (exeOrdre, ufOrdre, ufeId); 
    className = "org.cocktail.fwkcktldroitsutils.common.metier.EOUtilisateurFonctionExercice"; 
    classProperties = (toExercice, toUtilisateurFonction); 
    externalName = "JEFY_ADMIN.UTILISATEUR_FONCT_EXERCICE"; 
    fetchSpecificationDictionary = {}; 
    internalInfo = {
        "_clientClassPropertyNames" = (toExercice, toUtilisateurFonction); 
        "_javaClientClassName" = "org.cocktail.fwkcktldroitsutils.common.metier.EOUtilisateurFonctionExercice"; 
        "_nameInObjectStore" = "UTILISATEUR_FONCTION_EXERCICE"; 
    }; 
    isReadOnly = Y; 
    name = "FwkDroitsUtils_UtilisateurFonctionExercice"; 
    primaryKeyAttributes = (ufeId); 
    relationships = (
        {
            destination = "FwkDroitsUtils_Exercice"; 
            isMandatory = Y; 
            isToMany = N; 
            joinSemantic = EOInnerJoin; 
            joins = ({destinationAttribute = exeOrdre; sourceAttribute = exeOrdre; }); 
            name = toExercice; 
        }, 
        {
            destination = "FwkDroitsUtils_UtilisateurFonction"; 
            isMandatory = Y; 
            isToMany = N; 
            joinSemantic = EOInnerJoin; 
            joins = ({destinationAttribute = ufOrdre; sourceAttribute = ufOrdre; }); 
            name = toUtilisateurFonction; 
        }
    ); 
}
